Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableInterceptor Namespace Reference

## Typedefs
typedef ClientRequestInterceptor * | ClientRequestInterceptor_ptr
typedef CORBA::Short | ReplyStatus
typedef IORInterceptor * | IORInterceptor_ptr
typedef IORInfo * | IORInfo_ptr
typedef ServerRequestInterceptor * | ServerRequestInterceptor_ptr
typedef ORBInitializer * | ORBInitializer_ptr
typedef CORBA::ULong | SlotId
typedef string | ServerId
typedef string | ORBId
typedef CORBA::StringSeq | AdapterName
typedef CORBA::OctetSeq | ObjectId
typedef long | AdapterManagerId
typedef short | AdapterState
typedef CORBA::String_var | ServerId_var
typedef CORBA::String_out | ServerId_out
typedef CORBA::String_var | ORBId_var
typedef CORBA::String_out | ORBId_out
typedef CORBA::StringSeq_var | AdapterName_var
typedef CORBA::StringSeq_out | AdapterName_out
typedef CORBA::OctetSeq_var | ObjectId_var
typedef CORBA::OctetSeq_out | ObjectId_out
typedef CORBA::Long_out | AdapterManagerId_out
typedef CORBA::Short_out | AdapterState_out
typedef CORBA::ULong_out | SlotId_out
typedef CORBA::Short_out | ReplyStatus_out
typedef PolicyFactory * | PolicyFactory_ptr
## Functions
void | register_orb_initializer (ORBInitializer_ptr init)
## Variables
typeprefix PortableInterceptor omg | org
const AdapterState | HOLDING = 0
const AdapterState | ACTIVE = 1
const AdapterState | DISCARDING = 2
const AdapterState | INACTIVE = 3
const AdapterState | NON_EXISTENT = 4
const ReplyStatus | SUCCESSFUL = 0
const ReplyStatus | SYSTEM_EXCEPTION = 1
const ReplyStatus | USER_EXCEPTION = 2
const ReplyStatus | LOCATION_FORWARD = 3
const ReplyStatus | TRANSPORT_RETRY = 4
const ReplyStatus | UNKNOWN = 5

## Typedef Documentation

typedef CORBA::Long PortableInterceptor::AdapterManagerId

typedef CORBA::Long_out PortableInterceptor::AdapterManagerId_out

typedef CORBA::StringSeq PortableInterceptor::AdapterName

typedef CORBA::StringSeq_out PortableInterceptor::AdapterName_out

typedef CORBA::StringSeq_var PortableInterceptor::AdapterName_var

typedef CORBA::Short PortableInterceptor::AdapterState

typedef CORBA::Short_out PortableInterceptor::AdapterState_out

typedef ClientRequestInterceptor * PortableInterceptor::ClientRequestInterceptor_ptr

typedef IORInfo* PortableInterceptor::IORInfo_ptr

typedef IORInterceptor * PortableInterceptor::IORInterceptor_ptr

typedef CORBA::OctetSeq PortableInterceptor::ObjectId

typedef CORBA::OctetSeq_out PortableInterceptor::ObjectId_out

typedef CORBA::OctetSeq_var PortableInterceptor::ObjectId_var

typedef char * PortableInterceptor::ORBId

typedef CORBA::String_out PortableInterceptor::ORBId_out

typedef CORBA::String_var PortableInterceptor::ORBId_var

typedef ORBInitializer * PortableInterceptor::ORBInitializer_ptr

typedef PolicyFactory* PortableInterceptor::PolicyFactory_ptr

typedef CORBA::Short PortableInterceptor::ReplyStatus

typedef CORBA::Short_out PortableInterceptor::ReplyStatus_out

typedef char * PortableInterceptor::ServerId

typedef CORBA::String_out PortableInterceptor::ServerId_out

typedef CORBA::String_var PortableInterceptor::ServerId_var

typedef ServerRequestInterceptor * PortableInterceptor::ServerRequestInterceptor_ptr

typedef CORBA::ULong PortableInterceptor::SlotId

typedef CORBA::ULong_out PortableInterceptor::SlotId_out

## Function Documentation

TAO_Export void PortableInterceptor::register_orb_initializer | ( | ORBInitializer_ptr | init | ) |

| Register an ORBInitializer with the global ORBInitializer table.

## Variable Documentation

const PortableInterceptor::AdapterState PortableInterceptor::ACTIVE = 1

const PortableInterceptor::AdapterState PortableInterceptor::DISCARDING = 2

const PortableInterceptor::AdapterState PortableInterceptor::HOLDING = 0

const PortableInterceptor::AdapterState PortableInterceptor::INACTIVE = 3

const PortableInterceptor::ReplyStatus PortableInterceptor::LOCATION_FORWARD = 3

const PortableInterceptor::AdapterState PortableInterceptor::NON_EXISTENT = 4

typeprefix PortableInterceptor omg PortableInterceptor::org

const PortableInterceptor::ReplyStatus PortableInterceptor::SUCCESSFUL = 0

const PortableInterceptor::ReplyStatus PortableInterceptor::SYSTEM_EXCEPTION = 1

const PortableInterceptor::ReplyStatus PortableInterceptor::TRANSPORT_RETRY = 4

const PortableInterceptor::ReplyStatus PortableInterceptor::UNKNOWN = 5

const PortableInterceptor::ReplyStatus PortableInterceptor::USER_EXCEPTION = 2